program SetupModern;

{
  Inno Setup
  Copyright (C) 1998-2000 Jordan Russell
  Portions by Martijn Laan
  For conditions of distribution and use, see LICENSE.TXT.

  Setup program

  $Id: SetupModern.dpr,v 1.6 2001/09/05 22:27:37 jr Exp $
}

uses
  XPTheme,
  Forms,
  Windows,
  SysUtils,
  MBCSUtil,
  CmnFunc in 'CMNFUNC.PAS',
  CmnFunc2 in 'CMNFUNC2.PAS',
  Main in 'MAIN.PAS' {MainForm},
  Install in 'INSTALL.PAS',
  DDEInt in 'DDEINT.PAS',
  Msgs in 'MSGS.PAS',
  MsgIDs in 'MSGIDS.PAS',
  Undo in 'UNDO.PAS',
  Struct in 'STRUCT.PAS',
  SelDir in 'SELDIR.PAS' {SelDirForm},
  NewDisk in 'NEWDISK.PAS' {NewDiskForm},
  InstFunc in 'INSTFUNC.PAS',
  InstFnc2 in 'INSTFNC2.PAS',
  WizardModern in 'WizardModern.pas' {WizardForm};

{$R *.RES}
{$R IMAGES.RES}

{$I VERSION.INC}

procedure ShowExceptionMsg (const Msg: String);
var
  M: String;
begin
  M := Msg;
  if (M <> '') and (AnsiLastChar(M)^ > '.') then M := M + '.';
  Application.MessageBox (PChar(M), Pointer(SetupMessages[msgErrorTitle]),
    MB_OK or MB_ICONSTOP);
    { ^ use a Pointer cast instead of a PChar cast so that it will use "nil"
      if SetupMessages[msgErrorTitle] is empty due to the messages not being
      loaded yet. MessageBox displays 'Error' as the caption if the lpCaption
      parameter is nil. }
end;

begin
  { There's no need to localize the following line since it's changed in
    InitializeSetup }
  Application.Title := 'Setup';
  try
    InitializeSetup;
    Application.CreateForm(TMainForm, MainForm);
    MainForm.ProceedToNextStep;
  except
    on E: Exception do begin
      if not(E is EAbort) then
        ShowExceptionMsg (E.Message);
      DeinitSetup;
      Exit;
    end;
  end;
  
  Application.Run;

  try
    DeinitSetup;
  except
    on E: Exception do begin
      if not(E is EAbort) then
        ShowExceptionMsg (E.Message);
      Exit;
    end;
  end;
end.
