; Inno Setup
; Copyright (C) 1998-2001 Jordan Russell. All rights reserved.
; Portions by Martijn Laan
; For conditions of distribution and use, see LICENSE.TXT.
;
; Setup script
;
; $Id: setup.iss,v 1.16.4.1 2002/02/10 18:36:58 jr Exp $

[Setup]
AppName=Inno Setup
AppId=Inno Setup 2
AppVerName=Inno Setup version 2.0.19
AppVersion=2.0.19
AppCopyright=Copyright (C) 1998-2002 by Jordan Russell. Portions by Martijn Laan.
AppPublisher=Jordan Russell
AppPublisherURL=http://www.innosetup.com/
AppSupportURL=http://www.innosetup.com/
AppUpdatesURL=http://www.innosetup.com/
AppMutex=InnoSetupCompilerAppMutex,Global\InnoSetupCompilerAppMutex
DefaultDirName={pf}\Inno Setup 2
DefaultGroupName=Inno Setup 2
Compression=zip/9
;MinVersion=4.0,3.51
ChangesAssociations=1
UninstallDisplayIcon={app}\Compil32.exe
LicenseFile=license.txt
WizardImageFile=compiler:WizModernImage.bmp
WizardSmallImageFile=compiler:WizModernSmallImage.bmp

[Messages]
; two "Setup" on the same line looks weird to me, so put a line break in between
WelcomeLabel1=Welcome to the Inno Setup%nSetup Wizard

[Tasks]
Name: desktopicon; Description: "Create a &desktop icon"; MinVersion: 4,4
Name: fileassoc; Description: "&Associate Inno Setup with the .iss extension"

[Files]
Source: "license.txt"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "ishelp\ISetup.hlp"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "ishelp\ISetup.cnt"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\Compil32.exe"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\ISCC.exe"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\ISCmplr.dll"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\SetupClassic.e32"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\SetupModern.e32"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\SetupLdr.e32"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\Uninst.e32"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\RegSvr.e32"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\Default.isl"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\WizClassicImage.bmp"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\WizModernImage.bmp"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\WizModernImage2.bmp"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\WizModernSmallImage.bmp"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\WizModernSmallImage2.bmp"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\isbzip.dll"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "files\isbunzip.dll"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "whatsnew.htm"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "ishelp\isfaq.htm"; DestDir: "{app}"; CopyMode: alwaysoverwrite
Source: "Samples\Sample1.iss"; DestDir: "{app}\Samples"; CopyMode: alwaysoverwrite
Source: "Samples\Sample2.iss"; DestDir: "{app}\Samples"; CopyMode: alwaysoverwrite
Source: "Samples\Sample3.iss"; DestDir: "{app}\Samples"; CopyMode: alwaysoverwrite
Source: "Samples\MyProg.exe"; DestDir: "{app}\Samples"; CopyMode: alwaysoverwrite
Source: "Samples\MyProg.hlp"; DestDir: "{app}\Samples"; CopyMode: alwaysoverwrite
Source: "Samples\Readme.txt"; DestDir: "{app}\Samples"; CopyMode: alwaysoverwrite

[UninstallDelete]
Type: files; Name: "{app}\Samples\Output\SETUP.EXE"
Type: files; Name: "{app}\Samples\Output\SETUP.0"
Type: files; Name: "{app}\Samples\Output\SETUP.1"
Type: files; Name: "{app}\Samples\Output\SETUP.MSG"
Type: dirifempty; Name: "{app}\Samples\Output"
Type: dirifempty; Name: "{app}\Samples"

[Icons]
Name: "{group}\Inno Setup Compiler"; Filename: "{app}\Compil32.exe"; WorkingDir: "{app}"
Name: "{group}\Inno Setup Documentation"; Filename: "{app}\ISetup.hlp";
Name: "{group}\Inno Setup FAQ"; Filename: "{app}\isfaq.htm";
Name: "{group}\Inno Setup Revision History"; Filename: "{app}\whatsnew.htm";
Name: "{userdesktop}\Inno Setup Compiler"; Filename: "{app}\Compil32.exe"; WorkingDir: "{app}"; Tasks: desktopicon; MinVersion: 4,4

[Registry]
Root: HKCR; Subkey: ".iss"; ValueType: string; ValueName: ""; ValueData: "InnoSetupScriptFile"; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile"; ValueType: string; ValueName: ""; ValueData: "Inno Setup Script"; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\DefaultIcon"; ValueType: string; ValueName: ""; ValueData: "{app}\Compil32.exe,1"; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\shell\open"; ValueType: none; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\shell\open\command"; ValueType: string; ValueName: ""; ValueData: """{app}\Compil32.exe"" ""%1"""; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\shell\OpenWithInnoSetup"; ValueType: string; ValueName: ""; ValueData: "Open with &Inno Setup"; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\shell\OpenWithInnoSetup\command"; ValueType: string; ValueName: ""; ValueData: """{app}\Compil32.exe"" ""%1"""; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\shell\Compile"; ValueType: string; ValueName: ""; ValueData: "Compi&le"; Tasks: fileassoc
Root: HKCR; Subkey: "InnoSetupScriptFile\shell\Compile\command"; ValueType: string; ValueName: ""; ValueData: """{app}\Compil32.exe"" /cc ""%1"""; Tasks: fileassoc

Root: HKCU; Subkey: "Software\Jordan Russell"; Flags: uninsdeletekeyifempty
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup"; Flags: uninsdeletekey
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup\ScriptFileHistoryNew"; ValueType: string; ValueName: "History0"; ValueData: "{app}\Samples\Sample1.iss"; Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup\ScriptFileHistoryNew"; ValueType: string; ValueName: "History1"; ValueData: "{app}\Samples\Sample2.iss"; Flags: createvalueifdoesntexist
Root: HKCU; Subkey: "Software\Jordan Russell\Inno Setup\ScriptFileHistoryNew"; ValueType: string; ValueName: "History2"; ValueData: "{app}\Samples\Sample3.iss"; Flags: createvalueifdoesntexist

[Run]
Filename: "{app}\Compil32.exe"; WorkingDir: "{app}"; Description: "Launch the Inno Setup Compiler"; Flags: nowait postinstall skipifsilent
